# class KFilePermissionsPropsPlugin | 'Permissions' plugin In this plugin you can modify permissions and change the owner of a file. More...
Internal Use Only
Definition | `#include <kpropsdlg.h>`
Inherits | KPropsDlgPlugin [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KFilePermissionsPropsPlugin ( KPropertiesDialog *_props )
- virtual ~KFilePermissionsPropsPlugin ()
- virtual void applyChanges ()

#### Public Static Methods

- static bool supports ( KFileItemList _items )

## Detailed Description

'Permissions' plugin In this plugin you can modify permissions and change the owner of a file.

KFilePermissionsPropsPlugin ( KPropertiesDialog *_props ) | ### KFilePermissionsPropsPlugin

Constructor

~KFilePermissionsPropsPlugin () | ### ~KFilePermissionsPropsPlugin

[virtual]

void applyChanges () | ### applyChanges

[virtual]

Reimplemented from KPropsDlgPlugin.

bool supports ( KFileItemList _items ) | ### supports

[static]

Tests whether the file specified by _items needs a 'Permissions' plugin.

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:42:26 2001, using kdoc 2.0a53.